com.android.agf.fragments

## Class DashboardFourWebviewFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.actionbarsherlock.app.SherlockFragment
    - - com.android.agf.fragments.Base_WebViewFragment
      - - com.android.agf.fragments.DashboardWebViewFragment
        - - com.android.agf.fragments.DashboardFourWebviewFragment

- All Implemented Interfaces:
    ComponentCallbacks, _ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener, View.OnCreateContextMenuListener

      public class DashboardFourWebviewFragment
      extends DashboardWebViewFragment

  classe que implementa el fragment adient per dashboards amb 4 components
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.android.agf.fragments.DashboardWebViewFragment

      `DashboardWebViewFragment.CloseListener, DashboardWebViewFragment.EditListener, DashboardWebViewFragment.LoadCDA, DashboardWebViewFragment.MyLoadData, DashboardWebViewFragment.ShowEditListener`

    - ### Nested classes/interfaces inherited from class com.android.agf.fragments.Base_WebViewFragment

      `Base_WebViewFragment.InsideWebChromeClient, Base_WebViewFragment.InsideWebViewClient, Base_WebViewFragment.MyJavaScript, Base_WebViewFragment.MyJavaScriptCDA`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.fragments.DashboardWebViewFragment

      `ID_CLOSE_BUTTON, ID_EDIT, ID_EDIT_BUTTON, ID_LEGEND, ID_LOAD, ID_TITLE, ID_WEBVIEW, mClose, mComponents, mEdit, mLegend, mLoad, mTitle, mWebView`

    - ### Fields inherited from class com.android.agf.fragments.Base_WebViewFragment

      `mHandler, mId, mPentaho, mServer, mUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardFourWebviewFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DashboardFourWebviewFragment` | `newInstance(String i)` funcio per gestionar els parametres de creacio del fragment
    `void` | `onActivityCreated(Bundle savedInstanceState)` associacio dels elements de cada component, load, titol i llegenda
    `void` | `onCreate(Bundle savedInstanceState)` crida el primer cop que es crea el fragment, extras i creacio del handler de comunicació amb el thread UI
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` carrega del layout

    - ### Methods inherited from class com.android.agf.fragments.DashboardWebViewFragment

      `actualitzaLlegenda, editDashboard, iniciaLoad, initWebViews, loadingWebview, onDestroy, onPause, onResume, startWebview, startWebviewCDA, tancaLoad, webviewSettings`

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardFourWebviewFragment

          public DashboardFourWebviewFragment()

  - ### Method Detail

    - #### newInstance

          public static DashboardFourWebviewFragment newInstance(String i)

      funcio per gestionar els parametres de creacio del fragment
      Parameters:
        `i` -
      Returns:

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      crida el primer cop que es crea el fragment, extras i creacio del handler de comunicació amb el thread UI
      Overrides:
        `onCreate` in class `DashboardWebViewFragment`

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      carrega del layout
      Overrides:
        `onCreateView` in class `DashboardWebViewFragment`

    - #### onActivityCreated

          public void onActivityCreated(Bundle savedInstanceState)

      associacio dels elements de cada component, load, titol i llegenda
      Overrides:
        `onActivityCreated` in class `DashboardWebViewFragment`